Bug 124522 - Yum doesn't work with proxy authentication
Yum doesn't work with proxy authentication
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 04:00 EDT by Tuomas Haarala
Modified: 2014-01-21 17:49 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.3.x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 16:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomas Haarala 2004-05-27 04:00:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Yum doesn't seem to be able to cope with authenticating proxy. Manual
pages give an example of proxy usage, but it is only a brief note, and
apparently there is no current support for proxy authentication.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use yum behind authenticating proxy
2. Try all possible $http_proxy variations you can come up with
3. Fail to get updates

Actual Results:  [Errno 6] ERROR: Url Return no Content-Length  -
something is wrong


Expected Results:  Updates should be hopping along merrily into my
computer.

Additional info:
Comment 1 Chuck Burgess 2004-06-01 12:05:47 EDT
I experience this error also, but I'm trying to connect thru a
non-authenticating proxy
Comment 2 Klaus Munsteiner 2004-09-01 07:39:05 EDT
Here you will find the resolution for your problem:

Modify the configuration in /etc/profile like descripted here:
http://www.cpqlinux.com/apt.html

-----------------------------------------------------------------
Make some changes to /etc/profile just before the following line:
export PATH USER LOGNAME MAIL HOSTNAME HISTSIZE INPUTRC

When you're done it will look like this:

http_proxy=http://user:password@proxy.mydomain.com:8080/
https_proxy=https://user:password@proxy.mydomain.com:8080/
export PATH USER LOGNAME MAIL HOSTNAME HISTSIZE INPUTRC http_proxy
https_proxy
------------------------------------------------------------------

In profile you can set system-wide variables.

When changes are saved, log-out an log-in again.
Check if it works:
  $ echo $http_proxy
  http://user:password@proxy.mydomain.com:8080/
  $ echo $https_proxy
  https://user:password@proxy.mydomain.com:8080/
  $

The best is to create an special user for the proxy, as user:password
is to read in the configuration file. Don't use the same user for
other jobs in your network. 

Update yum first. You will get a new file /etc/yum.conf.rpmnew. Here
are new servers with better performance. Change yum.conf to the new or
modify the file, if you made additional changes.

For Synaptic with authenticating proxy:
Select: Preferences --> Preferences --> Network
Select: Manual proxy configuration
Field HTTP proxy: user:password@proxy.mydomain.com

I did so and it works fine.
Comment 3 Matthew Miller 2005-04-26 12:01:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 krishnakumar 2009-11-25 07:11:47 EST
its not working for me
i am using fedora11
kindly guide me what i have to do for this same

Note You need to log in before you can comment on or make changes to this bug.